1. user-order-create
ProductA Regrouped
  • user-order-get
    • List all users
      GET
    • List all orders
      GET
    • Get user by ID
      GET
    • Get order by ID
      GET
  • user-order-create
    • Create a new user
      POST
    • Create a new order
      POST
  • user-order-update
    • Update user
      PUT
    • Update order status
      PATCH
  • user-order-cancel-delete
    • Delete user
      DELETE
    • Cancel an order
      POST
  • Schemas
    • ErrorResponse
    • UserResponse
    • OrderResponse
    • CreateUserRequest
    • OrderItem
    • UpdateUserRequest
    • Address
    • UserListResponse
    • CreateOrderRequest
    • UpdateOrderStatusRequest
    • OrderListResponse
  1. user-order-create

Create a new user

Cloud Mock
https://mock.apidog.com/m1/1332400-0-default
Cloud Mock
https://mock.apidog.com/m1/1332400-0-default
POST
/users
Register a new user in the system

Request

Authorization
OAuth 2.0
Authorization Code
Add the parameter
Authorization
to Headers
,whose value is to concatenate the Token after the Bearer.
Example:
Authorization: Bearer ********************
Authorize URL: https://account-service-test-user-pool.auth.us-east-1.amazoncognito.com/oauth2/authorize
Token URL: https://account-service-test-user-pool.auth.us-east-1.amazoncognito.com/oauth2/token
Scopes:
openid-OpenID Connect sign-in
or
Body Params application/jsonRequired

Examples

Responses

🟢201Created
application/json
User created successfully
Headers

Bodyapplication/json

🟠400Bad Request
🟠401Unauthorized
🟠403Forbidden
🔴500Server Error
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://mock.apidog.com/m1/1332400-0-default/users' \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data-raw '{
    "email": "new.user@example.com",
    "firstName": "New",
    "lastName": "User",
    "password": "SecureP@ssw0rd!"
}'
Response Response Example
201 - created
{
    "userId": "usr_9i0j1k2l",
    "email": "new.user@example.com",
    "firstName": "New",
    "lastName": "User",
    "status": "active",
    "createdAt": "2024-01-20T09:15:00Z"
}
Modified at 2026-07-10 12:05:57
Previous
Get order by ID
Next
Create a new order
Built with